from utils.mysql_helper import MySQLHelper


class UrlSetting:

    def __init__(
        self,
        url=None,
        adapter_type=None,
        username=None,
        password=None,
        keywords=None,
        sort=None,
        is_active=None,
    ):
        self.url = url
        self.adapter_type = adapter_type
        self.username = username
        self.password = password
        if not keywords:
            keywords = ""
        self.keywords = keywords.replace("，", ",")
        self.sort = sort or 0
        self.is_active = is_active

    def __repr__(self):
        return f"URL配置[ URL: {self.url}  TYPE: {self.adapter_type} KEYWORDS: {self.keywords}]"

    def to_dict(self):
        return {
            "url": self.url,
            "type": self.adapter_type,
            "username": self.username,
            "password": self.password,
            "keywords": self.keywords,
            "is_active": self.is_active,
        }

    # # 插入 URL 设置数据
    # def insert(self, url_setting):
    #     if not isinstance(url_setting, UrlSetting):
    #         raise TypeError("url_setting必须是 UrlSetting 的实例")
    #     with MySQLHelper() as db_helper:
    #         query = (
    #             "INSERT INTO t_urls (url, type, username, password, keywords, is_active) "
    #             "VALUES (%s, %s, %s, %s, %s, %s)")
    #         params = (url_setting.url, url_setting.type, url_setting.username,
    #                   url_setting.password, url_setting.keywords,
    #                   url_setting.is_active)
    #         db_helper.execute_non_query(query, params)

    _query = "SELECT  url, adapter_type, username, password, keywords FROM t_urls WHERE is_active = 1 ORDER BY  sort DESC "

    # 查询 URL 设置数据
    def fetch_all(self):
        with MySQLHelper() as db_helper:
            results = db_helper.execute_query(self._query)
            data = [UrlSetting(**result) for result in results]
            return data
