import utils
from models.process_result_data import ProcessResultData
from stores.data_store_interface import IDataStore


class DefaultDataStore(IDataStore):

    def __init__(self):
        pass

    def query_one_collect_url(self, url: str):
        utils.get_logger().info("Default: FETCH_ONE_URL")

    def insert_collect_data(self, data, is_batch=True):
        utils.get_logger().info("Default: INSERT_COLLECT_DATA")

    def save_collect_data(self, is_force=False):
        utils.get_logger().info("Default: SAVE_COLLECT_DATA")

    def set_collect_process(self, url):
        utils.get_logger().info("Default: SET_COLLECT_PROCESS")

    def query_urls_to_process(self):
        utils.get_logger().info("Default: QUERY_TO_PROCESS")

    def query_one_collect_by_url(self, url):
        utils.get_logger().info("Default: QUERY_ONE_PROCESS")

    def query_one_process_by_url(self, no):
        utils.get_logger().info("Default: query_one_process_by_url")

    def query_one_process_by_no(self, no):
        utils.get_logger().info("Default: query_one_process_by_no")

    def insert_process_data(self, data):
        utils.get_logger().info("Default: INSERT_PROCESS_DATA")

    def save_process_data(self, is_force=False):
        utils.get_logger().info("Default: SAVE_PROCESS_DATA")

    def set_process_other_urls(self, url, other_urls: str):
        utils.get_logger().info("Default: SET_PROCESS_OTHER_URLS")

    def query_one_process_result_by_url(self, url):
        utils.get_logger().info("Default: QUERY_ONE_PROCESS_RESULT_BY_URL")

    def query_one_process_result_by_no(self, no):
        utils.get_logger().info("Default: QUERY_ONE_PROCESS_RESULT_BY_NO")

    def insert_process_result_data(self, data: ProcessResultData, is_batch=True):
        utils.get_logger().info("Default: INSERT_PROCESS_RESULT_DATA")

    def save_process_result_data(self, is_force=False):
        utils.get_logger().info("Default: SAVE_PROCESS_RESULT_DATA")

    def set_process_result_other_urls(self, url, other_urls: str):
        utils.get_logger().info("Default: SET_PROCESS_RESULT_OTHER_URLS")

    def query_to_send(self):
        utils.get_logger().info("Default: QUERY_TO_SEND")

    def query_to_report_by_date(self, start_date, end_date):
        utils.get_logger().info("Default: QUERY_TO_REPORT_BY_DATE")

    def set_send(self, no: str):
        utils.get_logger().info("Default: SET_SEND")

    def query_all_emails(self):
        utils.get_logger().info("Default: QUERY_ALL_EMAILS")

    def query_all_virtual_emails(self):
        utils.get_logger().info("Default: QUERY_ALL_VIRTUAL_EMAILS")

    def query_master_email(self):
        utils.get_logger().info("Default: GET_MASTER_EMAIL")

    def get_email_by_area(self, area: str):
        utils.get_logger().info("Default: GET_EMAIL_BY_AREA")

    def update_area_email_area_by_name(self, name: str, area: str):
        utils.get_logger().info("Default: UPDATE_AREA_EMAIL_AREA_BY_NAME")
